<?php
//
// $RCSfile: theme.inc.php3,v $
// $Author: olivier $
// $Revision: 1.3 $
// $Date: 2001/05/11 10:08:23 $
//
// Auteurs:
// Armel Fauveau (armel.fauveau@globalis-ms.com)
// Olivier Portier (olivier.portier@globalis-ms.com)
//
?>
<?
// -------------------
// Graphical Themes
// -------------------

$themes_array =  array(	"Clear",
			"DevShed",
			"Freshmeat",
			"Pastel",
			"Php.net",
			"Php.net (Old)",
			"Php-Center.de",
			"PhpIndex",
			"Saphire",
			"Shadow",
			"Slashdot",
			"Smoke",
			"Zend");

switch ($themes_array[($cfgtheme-1)]) {
	case "Saphire" :	// Config Saphire

		$cfgBgcolor	= "#425a7c";
		$cfgBgcolorL	= "#5272a4";
		$cfgBgcolorR 	= "#99aecc";
		$cfgBdcolor	= "#000000";
		$cfgLink	= "#426294";
		$cfgTXTcolorL	= "#99aecc";
		$cfgTXTcolorR	= "#122a4c";

		break;

	case "Smoke":	// Config Smoke

		$cfgBgcolor	= "#3f3f3f";
		$cfgBgcolorL	= "#999999";
		$cfgBgcolorR 	= "#555555";
		$cfgBdcolor	= "#000000";
		$cfgLink	= "#cccccc";
		$cfgTXTcolorL	= "#555555";
		$cfgTXTcolorR	= "#999999";

		break;

	case "Shadow":	// Config Shadow

		$cfgBgcolor	= "#373737";
		$cfgBgcolorL	= "#4c5159";
		$cfgBgcolorR 	= "#5d6e7f";
		$cfgBdcolor	= "#000000";
		$cfgLink	= "#afb7c9";
		$cfgTXTcolorL	= "#7d8e9f";
		$cfgTXTcolorR	= "#8d9eaf";

		break;

	case "Pastel":	// Config Pastel

		$cfgBgcolor	= "#c2c4ac";
		$cfgBgcolorL	= "#96a7a9";
		$cfgBgcolorR 	= "#eeeee2";
		$cfgBdcolor	= "#000000";
		$cfgLink	= "#667779";
		$cfgTXTcolorL	= "#eeeee2";
		$cfgTXTcolorR	= "#82846c";

		break;

	case "Clear":	// Config Clear

		$cfgBgcolor	= "#ffffff";
		$cfgBgcolorL	= "#5272a4";
		$cfgBgcolorR 	= "#ffffff";
		$cfgBdcolor	= "#003366";
		$cfgLink	= "#003366";
		$cfgTXTcolorL	= "#ffffff";
		$cfgTXTcolorR	= "#000000";

		break;


	case "PhpIndex":	// Config PhpIndex

		$cfgBgcolor	= "#ffffff";
		$cfgBgcolorL	= "#5B69A6";
		$cfgBgcolorR 	= "#FFFFD7";
		$cfgBdcolor	= "#000000";
		$cfgLink	= "#000000";
		$cfgTXTcolorL	= "#ffffff";
		$cfgTXTcolorR	= "#000000";

		break;

	case "Php.net":	// Config Php.net

		$cfgBgcolor	= "#ffffff";
		$cfgBgcolorL	= "#9999cc";
		$cfgBgcolorR 	= "#ffffff";
		$cfgBdcolor	= "#333366";
		$cfgLink	= "#000099";
		$cfgTXTcolorL	= "#000066";
		$cfgTXTcolorR	= "#000066";

		break;

	case "Php.net (Old)":	// Config Php.net (old)

		$cfgBgcolor	= "#ffffff";
		$cfgBgcolorL	= "#5B69A6";
		$cfgBgcolorR 	= "#ffffff";
		$cfgBdcolor	= "#000000";
		$cfgLink	= "#5B69A6";
		$cfgTXTcolorL	= "#000000";
		$cfgTXTcolorR	= "#000000";

		break;

	case "Zend":	// Config Zend

		$cfgBgcolor	= "#ffffff";
		$cfgBgcolorL	= "#EEEEFF";
		$cfgBgcolorR 	= "#ffffff";
		$cfgBdcolor	= "#003F5C";
		$cfgLink	= "#000066";
		$cfgTXTcolorL	= "#000066";
		$cfgTXTcolorR	= "#000000";

		break;

	case "Freshmeat":	// Config Freshmeat

		$cfgBgcolor	= "#ffffff";
		$cfgBgcolorL	= "#BBDDFF";
		$cfgBgcolorR 	= "#ffffff";
		$cfgBdcolor	= "#000000";
		$cfgLink	= "#336699";
		$cfgTXTcolorL	= "#000000";
		$cfgTXTcolorR	= "#000000";

		break;

	case "Slashdot":	// Config Slashdot

		$cfgBgcolor	= "#000000";
		$cfgBgcolorL	= "#ffffff";
		$cfgBgcolorR 	= "#ffffff";
		$cfgBdcolor	= "#006666";
		$cfgLink	= "#006666";
		$cfgTXTcolorL	= "#006666";
		$cfgTXTcolorR	= "#000000";

		break;

	case "DevShed":	// Config DevShed

		$cfgBgcolor	= "#336666";
		$cfgBgcolorL	= "#ffcc66";
		$cfgBgcolorR 	= "#ffffff";
		$cfgBdcolor	= "#000000";
		$cfgLink	= "#000000";
		$cfgTXTcolorL	= "#000000";
		$cfgTXTcolorR	= "#000000";

		break;

	case "Php-Center.de":	// Config php-center.de

		$cfgBgcolor	= "#FFFFEE";
		$cfgBgcolorL	= "#cfcf9f";
		$cfgBgcolorR 	= "#eeeed1";
		$cfgBdcolor	= "#70003f";
		$cfgLink	= "##000066";
		$cfgTXTcolorL	= "#003399";
		$cfgTXTcolorR	= "#000000";

		break;
}

$cfgFont1L 	= "<font face=\"Arial, Helvetica, sans-serif\" size=1 color=".$cfgTXTcolorL.">";
$cfgFont2L 	= "<font face=\"Arial, Helvetica, sans-serif\" size=2 color=".$cfgTXTcolorL.">";
$cfgFont3L 	= "<font face=\"Arial, Helvetica, sans-serif\" size=3 color=".$cfgTXTcolorL.">";
$cfgFont1R 	= "<font face=\"Arial, Helvetica, sans-serif\" size=1 color=".$cfgTXTcolorR.">";
$cfgFont2R 	= "<font face=\"Arial, Helvetica, sans-serif\" size=2 color=".$cfgTXTcolorR.">";
$cfgFont3R 	= "<font face=\"Arial, Helvetica, sans-serif\" size=3 color=".$cfgTXTcolorR.">";
$cfgFont0	= "</font>";

?>