<?php
//
// $RCSfile: xml.php3,v $
// $Author: armel $
// $Revision: 1.5 $
// $Date: 2001/05/21 18:19:33 $
//
// Auteurs:
// Armel Fauveau (armel.fauveau@globalis-ms.com)
// Olivier Portier (olivier.portier@globalis-ms.com)
//
?>
<?php
header("Content-disposition: filename=phpindex.xm");
//header("Content-type: application/octetstream");
header( "Content-type: application/xml");
//header("Content-disposition: filename=index.ht");
header("Pragma: no-cache");
header("Expires: 0");

require("config.inc.php3");
require("open.inc.php3");
require("lib.inc.php3");

// Authentification de l'utilisateur
require("auth.inc.php3");

if($cfgUserInfo['create']==1)
{
    print "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>\n";

    if(($infos_document = infos_document($document_id_select)))
    {
        print "<PHPFAQTORY SUBJECT=\"".htmlspecialchars($infos_document['titre'])."\">\n";

        // HEADER

        print "\t<HEADER>\n";
        print "\t\t<TITLE>".htmlspecialchars($infos_document['titre'])."</TITLE>\n";
        print "\t\t<ABSTRACT>".htmlspecialchars($infos_document["abstract"])."</ABSTRACT>\n";
        print "\t\t<AUTHOR>".htmlspecialchars($infos_document['auteur'])."</AUTHOR>\n";
        print "\t\t<EMAIL>".htmlspecialchars($infos_document['email'])."</EMAIL>\n";
        print "\t\t<VERSION>".htmlspecialchars($infos_document["version"])."</VERSION>\n";
        print "\t\t<DATE>".htmlspecialchars($infos_document["date_modif"])."</DATE>\n";
        print "\t</HEADER>\n";

        // DETAILS

        print "\t<CHAPTERS>\n";

        // Details
        if(($chapitre_array = get_chapitre($document_id_select,1)))
        {
            for($j=0;$j<count($chapitre_array);$j++)
            {		
                $chapitre_indice=($j+1);
                $chapitre_name=$chapitre_indice;
                $chapitre_index="#index".$chapitre_indice;	
                print "\t\t<CHAPTER ID=\"$chapitre_name\" title=\"".htmlspecialchars($chapitre_array[$j]['titre'])."\">\n";

                if($chap_auteur==1)
                {
                    if(!empty($chapitre_array[$j]['auteur']))
                        print "\t\t\t<AUTHOR>".htmlspecialchars($chapitre_array[$j]['auteur'])."</AUTHOR>\n";
                    if(!empty($chapitre_array[$j]['email']))
                        print "\t\t\t<EMAIL>".htmlspecialchars($chapitre_array[$j]['email'])."</EMAIL>\n";
                }

                if($chap_date==1)
                    print "\t\t\t<DATE>".$chapitre_array[$j]['date_modif']."</DATE>\n";	
            
                if(($question_array = get_question($chapitre_array[$j]['id'],1)))
                {
                    for($k=0;$k<count($question_array);$k++)	
                    {	
                        $question_indice=$chapitre_indice.".".($k+1);
                        $question_name="ss".$chapitre_indice.".".($k+1);
                        print "\t\t\t<QUESTION ID=\"$question_indice\">".htmlspecialchars($question_array[$k]['titre'])."</QUESTION>\n";
			$question_array[$k]['reponse']=str_replace("&lt;","<",$question_array[$k]['reponse']);
                        print "\t\t\t<ANSWER>".htmlspecialchars($question_array[$k]['reponse'])."</ANSWER>\n";
                    }
                }
                print "\t\t</CHAPTER>\n";
            }
        }
        print "\t</CHAPTERS>\n";
        print "</PHPFAQTORY>\n";
    }
}
require("close.inc.php3");

?>