<?php
//
// $RCSfile: lib.inc.php3,v $
// $Author: olivier $
// $Revision: 1.14 $
// $Date: 2001/05/21 16:01:46 $
//
// Auteurs:
// Armel Fauveau (armel.fauveau@globalis-ms.com)
// Olivier Portier (olivier.portier@globalis-ms.com)
//
?>
<?php

// Probleme de magic_quote_gpc
// si le magic_quotes_gpc est a un oin enleve tous les \ de trop
if(get_magic_quotes_gpc()==1)
{
	if (isset ($HTTP_POST_VARS) )
	{
		while (list($key,$value) = each($HTTP_POST_VARS))
		{
			if(is_array($value))
			{
				while (list($key1,$value1) = each($value))
					$$key[$key1] = stripslashes($value1);
			}
			else
				$$key = stripslashes($value);
		}
	}
	if (isset ($HTTP_GET_VARS) )
	{
		while (list($key,$value) = each($HTTP_GET_VARS))
		{
			if(is_array($value))
			{
				while (list($key1,$value1) = each($value))
					$$key[$key1] = stripslashes($value1);
			}
			else
				$$key = stripslashes($value);
		}
	}
}

/* Fonction 		: 	get_question_num()
 * Description		:	renvois le nombre de question pour le document selectionn
 * Entrees		:	id du document selectionn, id de l'action a realiser (1 pour les question dans ce document 2 pour les question dans ce chapitre)
 * Sorties		:	entier qui contient le nombre de question
*/
function get_question_num($id,$action=0){
	GLOBAL	$cfgBase,
			$cfgLang,
			$cfgtbl_authentification,
			$cfgtbl_document,
			$cfgtbl_document_content,
			$cfgtbl_chapitre,
			$cfgtbl_chapitre_content,
			$cfgtbl_doc_security,
			$cfgtbl_lien_interne,
			$cfgtbl_question,
			$cfgtbl_question_content,
			$cfgtbl_session;

	if($action=="1")
		$sql_query="SELECT COUNT(*) AS nb_question FROM ".$cfgtbl_question." LEFT JOIN ".$cfgtbl_chapitre." ON ".$cfgtbl_question.".chapitre=".$cfgtbl_chapitre.".id WHERE ".$cfgtbl_chapitre.".document=$id";
	elseif($action=="2")
		$sql_query="SELECT COUNT(*) AS nb_question FROM ".$cfgtbl_question." WHERE chapitre=$id";
	else
		return 0;
	$sql_result=mysql_db_query($cfgBase, $sql_query);

	if($sql_result>0 && mysql_num_rows($sql_result)==1)
	{
		$result = mysql_result($sql_result,0,0);
		mysql_free_result($sql_result);
		return $result;
	}
	else
		return 0;
}

/* Fonction 		: 	get_chapitre_num()
 * Description		:	renvois le nombre de chapitre pour le document selectionn
 * Entrees		:	id du document selectionn
 * Sorties		:	entier qui contient le nombre de question
*/
function get_chapitre_num($id){
	GLOBAL	$cfgBase,
			$cfgLang,
			$cfgtbl_authentification,
			$cfgtbl_document,
			$cfgtbl_document_content,
			$cfgtbl_chapitre,
			$cfgtbl_chapitre_content,
			$cfgtbl_doc_security,
			$cfgtbl_lien_interne,
			$cfgtbl_question,
			$cfgtbl_question_content,
			$cfgtbl_session;

	$sql_query="SELECT COUNT(*) AS nb_chapitre FROM ".$cfgtbl_chapitre." WHERE document=$id";
	$sql_result=mysql_db_query($cfgBase, $sql_query);

	if($sql_result>0 && mysql_num_rows($sql_result)==1)
	{
		$result = mysql_result($sql_result,0,0);
		mysql_free_result($sql_result);
		return $result;
	}
	else
		return 0;
}


/* Fonction 		: 	get_document()
 * Description		:	renvois la liste des id et la traduction du nom du document corrrespondant
 * Entrees		:	
 * Sorties		:	tableau des associatif renvoyant le'id ($result[0]['id'])et le titre ($result[0]['titre']) de chaque document
*/
function get_document($user_id=0){
	GLOBAL	$cfgBase,
			$cfgLang,
			$cfgtbl_authentification,
			$cfgtbl_document,
			$cfgtbl_document_content,
			$cfgtbl_chapitre,
			$cfgtbl_chapitre_content,
			$cfgtbl_doc_security,
			$cfgtbl_lien_interne,
			$cfgtbl_question,
			$cfgtbl_question_content,
			$cfgtbl_session;

	if($user_id=="all")
		$sql_query="SELECT ".$cfgtbl_document.".id, ".$cfgtbl_document_content.".titre, ".$cfgtbl_document_content.".status FROM ".$cfgtbl_document." LEFT JOIN ".$cfgtbl_document_content." ON ".$cfgtbl_document.".id=".$cfgtbl_document_content.".id_document WHERE langue='$cfgLang'";
	elseif($user_id>1)
		$sql_query="SELECT ".$cfgtbl_document.".id, ".$cfgtbl_document_content.".titre, ".$cfgtbl_document_content.".status FROM ".$cfgtbl_document." LEFT JOIN ".$cfgtbl_document_content." ON ".$cfgtbl_document.".id=".$cfgtbl_document_content.".id_document LEFT JOIN ".$cfgtbl_doc_security." ON ".$cfgtbl_document.".id=".$cfgtbl_doc_security.".id_doc WHERE ".$cfgtbl_document_content.".langue='$cfgLang' AND (".$cfgtbl_document_content.".status='O' OR ".$cfgtbl_doc_security."._read='1') AND ".$cfgtbl_doc_security.".id_user='$user_id'";
	elseif($user_id==1)
		$sql_query="SELECT ".$cfgtbl_document.".id, ".$cfgtbl_document_content.".titre, ".$cfgtbl_document_content.".status FROM ".$cfgtbl_document." LEFT JOIN ".$cfgtbl_document_content." ON ".$cfgtbl_document.".id=".$cfgtbl_document_content.".id_document WHERE ".$cfgtbl_document_content.".langue='$cfgLang'";
	else
		$sql_query="SELECT ".$cfgtbl_document.".id, ".$cfgtbl_document_content.".titre, ".$cfgtbl_document_content.".status FROM ".$cfgtbl_document." LEFT JOIN ".$cfgtbl_document_content." ON ".$cfgtbl_document.".id=".$cfgtbl_document_content.".id_document WHERE ".$cfgtbl_document_content.".langue='$cfgLang' AND ".$cfgtbl_document_content.".status='O'";

//print $sql_query;
	$sql_result=mysql_db_query($cfgBase, $sql_query);

	if($sql_result>0 && mysql_num_rows($sql_result)>0)
	{
		$tmp = 0;
		while($row = mysql_fetch_row($sql_result))
		{
	 		$result[$tmp]['id']=$row[0];
			$result[$tmp]['titre']=$row[1];
			$tmp++;
		}
		mysql_free_result($sql_result);
		return $result;
	}

	return false;
}


/* Fonction 		: 	get_master_document()
 * Description		:	renvois l'id et la langue du document maitre de ce document
 * Entrees		:	id du document selectionn
 * Sorties		:	tableau associatif contenant l'id du document maitre et sa langue
*/
function get_master_document($id){
	GLOBAL	$cfgBase,
			$cfgLang,
			$cfgtbl_authentification,
			$cfgtbl_document,
			$cfgtbl_document_content,
			$cfgtbl_chapitre,
			$cfgtbl_chapitre_content,
			$cfgtbl_doc_security,
			$cfgtbl_lien_interne,
			$cfgtbl_question,
			$cfgtbl_question_content,
			$cfgtbl_session;

	$sql_query="SELECT docmaster, id, status FROM ".$cfgtbl_document_content." WHERE id_document=$id AND langue='$cfgLang'";
	$sql_result=mysql_db_query($cfgBase, $sql_query);

	if($sql_result>0 && mysql_num_rows($sql_result)>0)
	{
		$row = mysql_fetch_row($sql_result);
		$return_array['status'] = $row[2];

		if(empty($row[0]))
		{
			$return_array['langue'] = $cfgLang;
			$return_array['id'] = $row[1];
		}
		else
		{
			$return_array['langue'] = $row[0];

			$sql_query = "SELECT id FROM ".$cfgtbl_document_content." WHERE id_document=$id AND langue='".$row[0]."'";
			$sql_result=mysql_db_query($cfgBase, $sql_query);

			if($sql_result>0 && mysql_num_rows($sql_result)>0)
			{
				$row = mysql_fetch_row($sql_result);
				$return_array['id'] = $row[0];
			}
			else
				$return_array['id'] = 0;
		}

		mysql_free_result($sql_result);
	}
	else
	{
		$return_array['langue'] = "";
		$return_array['id'] = 0;
		$return_array['status'] = "";
	}

	return $return_array;
}


/* Fonction 		: 	get_chapitre()
 * Description		:	renvois la liste des id et la traduction du titre du chapitre corrrespondant, pour le document selectionn
 * Entrees		:	id du document
 * Sorties		:	tableau des associatif renvoyant l'id ($result[0]['id']) et le titre ($result[0]['titre']) de chaque chapitre
*/
function get_chapitre($document_id,$long_sql="",$chapitre_num=""){
	GLOBAL	$cfgBase,
			$cfgLang,
			$cfgtbl_authentification,
			$cfgtbl_document,
			$cfgtbl_document_content,
			$cfgtbl_chapitre,
			$cfgtbl_chapitre_content,
			$cfgtbl_doc_security,
			$cfgtbl_lien_interne,
			$cfgtbl_question,
			$cfgtbl_question_content,
			$cfgtbl_session;
	GLOBAL $cfgUserInfo;

	if($long_sql==1)
		$long_sql = ", ".$cfgtbl_chapitre.".auteur, ".$cfgtbl_chapitre.".email, ".$cfgtbl_chapitre.".date_modif";

	if($cfgUserInfo['read']!=1)
		$restrict = " AND status='O'";
		
	$sql_query="SELECT ".$cfgtbl_chapitre.".id, ".$cfgtbl_chapitre_content.".titre, ".$cfgtbl_chapitre_content.".status, ".$cfgtbl_chapitre.".indexation".$long_sql." FROM ".$cfgtbl_chapitre." LEFT JOIN ".$cfgtbl_chapitre_content." ON ".$cfgtbl_chapitre.".id=".$cfgtbl_chapitre_content.".id_chapitre WHERE ".$cfgtbl_chapitre.".document=$document_id AND langue='$cfgLang'".$restrict;
	if(!empty($chapitre_num))
		$sql_query .= " AND ".$cfgtbl_chapitre.".indexation='$chapitre_num'";

	$sql_query .= " ORDER BY ".$cfgtbl_chapitre.".indexation ASC";	

	$sql_result=mysql_db_query($cfgBase, $sql_query);

	if($sql_result>0 && mysql_num_rows($sql_result)>0)
	{
		$tmp = 0;
		while($row = mysql_fetch_row($sql_result))
		{
			$result[$tmp]['id']=$row[0];
			$result[$tmp]['titre']=$row[1];
			$result[$tmp]['status']=$row[2];
			$result[$tmp]['indexation']=$row[3];

			if(!empty($long_sql))
			{
				$result[$tmp]['auteur']=$row[4];
				$result[$tmp]['email']=$row[5];
				$result[$tmp]['date_modif']=$row[6];
			}
			$tmp++;
		}

		mysql_free_result($sql_result);
		return $result;
	}

	return false;
}


/* Fonction 		: 	get_chapitre_from_index()
 * Description		:	renvois l'id du chapitre  partir de l'indexe de ce chapitre
 * Entrees		:	id du document, id de l'indexe du chapitre
 * Sorties		:	id du chapitre
*/
function get_chapitre_from_index($document_id,$chapitre_num){
	GLOBAL	$cfgBase,
			$cfgLang,
			$cfgtbl_authentification,
			$cfgtbl_document,
			$cfgtbl_document_content,
			$cfgtbl_chapitre,
			$cfgtbl_chapitre_content,
			$cfgtbl_doc_security,
			$cfgtbl_lien_interne,
			$cfgtbl_question,
			$cfgtbl_question_content,
			$cfgtbl_session;

	$sql_query="SELECT id FROM ".$cfgtbl_chapitre." WHERE document=$document_id AND indexation='$chapitre_num'";
	$sql_result=mysql_db_query($cfgBase, $sql_query);

	if($sql_result>0 && mysql_num_rows($sql_result)>0)
	{
		$tmp = 0;
		$row = mysql_fetch_row($sql_result);
		$result = $row[0];
		mysql_free_result($sql_result);
		return $result;
	}

	return false;
}

/* Fonction 		: 	get_chapitre_index_from_id()
 * Description		:	renvois l'index du chapitre  partir de l'id
 * Entrees		:	id du document, id du chapitre
 * Sorties		:	indexe du chapitre
*/
function get_chapitre_index_from_id($document_id_select,$id_chapitre)
{
	GLOBAL	$cfgBase,
			$cfgLang,
			$cfgtbl_authentification,
			$cfgtbl_document,
			$cfgtbl_document_content,
			$cfgtbl_chapitre,
			$cfgtbl_chapitre_content,
			$cfgtbl_doc_security,
			$cfgtbl_lien_interne,
			$cfgtbl_question,
			$cfgtbl_question_content,
			$cfgtbl_session;

	$sql_query="SELECT indexation FROM ".$cfgtbl_chapitre." WHERE id='$id_chapitre'";
	$sql_result=mysql_db_query($cfgBase, $sql_query);

	if($sql_result>0 && mysql_num_rows($sql_result)>0)
	{
		$tmp = 0;
		$row = mysql_fetch_row($sql_result);
		$result = $row[0];
		mysql_free_result($sql_result);
		return $result;
	}

	return false;
}

/* Fonction 		: 	get_question()
 * Description		:	renvois la liste des id et la traduction du titre de la question corrrespondant, pour le chapitre selectionn
 * Entrees		:	id du chapitre
 * Sorties		:	tableau des associatif renvoyant le'id ($result[0]['id'])et le titre ($result[0]['titre']) de chaque question
*/
function get_question($chapitre_id,$long_sql=""){
	GLOBAL	$cfgBase,
			$cfgLang,
			$cfgtbl_authentification,
			$cfgtbl_document,
			$cfgtbl_document_content,
			$cfgtbl_chapitre,
			$cfgtbl_chapitre_content,
			$cfgtbl_doc_security,
			$cfgtbl_lien_interne,
			$cfgtbl_question,
			$cfgtbl_question_content,
			$cfgtbl_session;
	GLOBAL $cfgUserInfo;

	if($long_sql==1)
		$long_sql = ", ".$cfgtbl_question_content.".reponse, ".$cfgtbl_question.".auteur, ".$cfgtbl_question.".email, ".$cfgtbl_question.".date_modif";
	
	if($cfgUserInfo['read']!=1)
		$restrict = " AND status='O'";

	$sql_query="SELECT ".$cfgtbl_question.".id, ".$cfgtbl_question_content.".question, ".$cfgtbl_question_content.".status, ".$cfgtbl_question.".indexation, LENGTH(".$cfgtbl_question_content.".reponse) AS answered ".$long_sql." FROM ".$cfgtbl_question." LEFT JOIN ".$cfgtbl_question_content." ON ".$cfgtbl_question.".id=".$cfgtbl_question_content.".id_question WHERE chapitre=$chapitre_id AND langue='$cfgLang'".$restrict." ORDER BY ".$cfgtbl_question.".indexation ASC";
	$sql_result=mysql_db_query($cfgBase, $sql_query);

	if($sql_result>0 && mysql_num_rows($sql_result)>0)
	{
		$tmp = 0;
		while($row = mysql_fetch_row($sql_result))
		{
			$result[$tmp]['id']=$row[0];
			$result[$tmp]['titre']=$row[1];
			$result[$tmp]['status']=$row[2];
			$result[$tmp]['indexation']=$row[3];
            $result[$tmp]['answered']=$row[4];

			if(!empty($long_sql))
			{
				$result[$tmp]['reponse']=$row[5];
				$result[$tmp]['auteur']=$row[6];
				$result[$tmp]['email']=$row[7];
				$result[$tmp]['date_modif']=$row[8];
			}
			$tmp++;
		}

		mysql_free_result($sql_result);
		return $result;
	}

	return false;
}

/* Fonction 		: 	get_question_from_index()
 * Description		:	renvois l'id de la question  partir de l'indexe de cette question
 * Entrees		:	id du chapitre, id de l'indexe de la question
 * Sorties		:	id de la question
*/
function get_question_from_index($chapitre_id,$question_num){
	GLOBAL	$cfgBase,
			$cfgLang,
			$cfgtbl_authentification,
			$cfgtbl_document,
			$cfgtbl_document_content,
			$cfgtbl_chapitre,
			$cfgtbl_chapitre_content,
			$cfgtbl_doc_security,
			$cfgtbl_lien_interne,
			$cfgtbl_question,
			$cfgtbl_question_content,
			$cfgtbl_session;

	$sql_query="SELECT id FROM ".$cfgtbl_question." WHERE chapitre=$chapitre_id AND indexation='$question_num'";
	$sql_result=mysql_db_query($cfgBase, $sql_query);

	if($sql_result>0 && mysql_num_rows($sql_result)>0)
	{
		$tmp = 0;
		$row = mysql_fetch_row($sql_result);
		$result = $row[0];
		mysql_free_result($sql_result);
		return $result;
	}

	return false;
}


/* Fonction 		: 	get_utilisateur()
 * Description		:	renvois la liste des id, nom et droits pour le document actuel
 * Entrees		:	id du document, langue du document
 * Sorties		:	tableau associatif renvoyant les infos
*/
function get_utilisateur($id=0, $langue=""){
	GLOBAL	$cfgBase,
			$cfgLang,
			$cfgtbl_authentification,
			$cfgtbl_document,
			$cfgtbl_document_content,
			$cfgtbl_chapitre,
			$cfgtbl_chapitre_content,
			$cfgtbl_doc_security,
			$cfgtbl_lien_interne,
			$cfgtbl_question,
			$cfgtbl_question_content,
			$cfgtbl_session;

	if(!empty($langue) && $id>0)
		$sql_query="SELECT ".$cfgtbl_doc_security.".id,".$cfgtbl_doc_security.".id_user,login,id_doc,langue,_read,_write,_admin,_create FROM ".$cfgtbl_doc_security." LEFT JOIN ".$cfgtbl_authentification." ON ".$cfgtbl_doc_security.".id_user=".$cfgtbl_authentification.".id WHERE id_doc='$id' AND langue='$langue' ORDER BY ".$cfgtbl_authentification.".login";
	elseif(empty($langue) && $id>0)
		$sql_query="SELECT id,login,pwd,nom_prenom,email,session_multiple FROM ".$cfgtbl_authentification." WHERE id='$id'";
	else
		$sql_query="SELECT id, login FROM ".$cfgtbl_authentification." ORDER BY login";
		
	$sql_result=mysql_db_query($cfgBase, $sql_query);
	
	if($sql_result>0 && mysql_num_rows($sql_result)>0)
	{
		$tmp = 0;
		while($row = mysql_fetch_array($sql_result))
		{
			$results[$tmp] = $row;
			$tmp++;
		}

		mysql_free_result($sql_result);
		return $results;
	}
	else
		return false;
}


// Fonctions diverses


/* Fonction 		: 	abstract_chaine()
 * Description		:	renvois une portion de la chaine pass en parametre
 * Entrees		    :	chaine complete, nombre de caractere desir, separateur de fin ...
 * Sorties		    :	chaine troncqu corretcement.
*/
function abstract_chaine ($chaine, $taille, $terminateur) {

	$tmp_chaine=$chaine;

	if(strlen($chaine) > $taille) {
		$tmp_chaine=substr($chaine, 0, $taille);
		$tmp_taille=$taille-1;

		while ($tmp_chaine[$tmp_taille] != " " && strlen($tmp_chaine) != 1) {
			   $tmp_chaine = substr($chaine, 0, $tmp_taille);
			   $tmp_taille--;
		}

		if(strlen($tmp_chaine) < strlen($chaine))
			$tmp_chaine=$tmp_chaine.$terminateur;
		else
			$tmp_chaine=substr($chaine, 0, $taille).$terminateur;
	}

	return $tmp_chaine;
}


function infos_document($id,$traduction_langue="") {
	GLOBAL	$cfgBase,
			$cfgLang,
			$cfgtbl_authentification,
			$cfgtbl_document,
			$cfgtbl_document_content,
			$cfgtbl_chapitre,
			$cfgtbl_chapitre_content,
			$cfgtbl_doc_security,
			$cfgtbl_lien_interne,
			$cfgtbl_question,
			$cfgtbl_question_content,
			$cfgtbl_session;
	GLOBAL $cfgmaster_doc;

	if(!empty($traduction_langue))
		$sql_query = "SELECT ".$cfgtbl_document_content.".titre, ".$cfgtbl_document.".date_creation, ".$cfgtbl_document.".date_modif, ".$cfgtbl_document.".auteur, ".$cfgtbl_document.".email, ".$cfgtbl_document.".version, ".$cfgtbl_document_content.".abstract, ".$cfgtbl_document_content.".status FROM ".$cfgtbl_document." LEFT JOIN ".$cfgtbl_document_content." ON ".$cfgtbl_document.".id=".$cfgtbl_document_content.".id_document WHERE ".$cfgtbl_document.".id=$id AND langue='$traduction_langue'";
	elseif($cfgmaster_doc['langue']==$cfgLang)
		$sql_query = "SELECT ".$cfgtbl_document_content.".titre, ".$cfgtbl_document.".date_creation, ".$cfgtbl_document.".date_modif, ".$cfgtbl_document.".auteur, ".$cfgtbl_document.".email, ".$cfgtbl_document.".version, ".$cfgtbl_document_content.".abstract, ".$cfgtbl_document_content.".status FROM ".$cfgtbl_document." LEFT JOIN ".$cfgtbl_document_content." ON ".$cfgtbl_document.".id=".$cfgtbl_document_content.".id_document WHERE ".$cfgtbl_document.".id=$id AND langue='$cfgLang'";
	else
		$sql_query = "SELECT ".$cfgtbl_document_content.".titre, ".$cfgtbl_document.".date_creation, ".$cfgtbl_document.".date_modif, ".$cfgtbl_document_content.".mainteneur AS auteur, ".$cfgtbl_document_content.".email, ".$cfgtbl_document.".version, ".$cfgtbl_document_content.".abstract, ".$cfgtbl_document_content.".status FROM ".$cfgtbl_document." LEFT JOIN ".$cfgtbl_document_content." ON ".$cfgtbl_document.".id=".$cfgtbl_document_content.".id_document WHERE ".$cfgtbl_document.".id=$id AND langue='$cfgLang'";
//print $sql_query;
	$sql_result = mysql_db_query($cfgBase, $sql_query);
	if($sql_result>0 && mysql_num_rows($sql_result)==1)
	{
		$result = mysql_fetch_array($sql_result);
		mysql_free_result($sql_result);
		return $result;
	}
	else
		return false;
}

function infos_chapitre($id,$traduction_langue="") {
	GLOBAL	$cfgBase,
			$cfgLang,
			$cfgtbl_authentification,
			$cfgtbl_document,
			$cfgtbl_document_content,
			$cfgtbl_chapitre,
			$cfgtbl_chapitre_content,
			$cfgtbl_doc_security,
			$cfgtbl_lien_interne,
			$cfgtbl_question,
			$cfgtbl_question_content,
			$cfgtbl_session;
	GLOBAL $cfgmaster_doc;

	if(!empty($traduction_langue))
		$sql_query="SELECT ".$cfgtbl_chapitre.".id, ".$cfgtbl_chapitre_content.".titre, ".$cfgtbl_chapitre.".date_creation, ".$cfgtbl_chapitre.".date_modif, ".$cfgtbl_chapitre.".auteur, ".$cfgtbl_chapitre.".email, ".$cfgtbl_chapitre_content.".status FROM ".$cfgtbl_chapitre." LEFT JOIN ".$cfgtbl_chapitre_content." ON ".$cfgtbl_chapitre.".id=".$cfgtbl_chapitre_content.".id_chapitre WHERE ".$cfgtbl_chapitre.".id=$id AND langue='$traduction_langue'";
	elseif($cfgmaster_doc['langue']==$cfgLang)
		$sql_query="SELECT ".$cfgtbl_chapitre.".id, ".$cfgtbl_chapitre_content.".titre, ".$cfgtbl_chapitre.".date_creation, ".$cfgtbl_chapitre.".date_modif, ".$cfgtbl_chapitre.".auteur, ".$cfgtbl_chapitre.".email, ".$cfgtbl_chapitre_content.".status from ".$cfgtbl_chapitre." LEFT JOIN ".$cfgtbl_chapitre_content." ON ".$cfgtbl_chapitre.".id=".$cfgtbl_chapitre_content.".id_chapitre WHERE ".$cfgtbl_chapitre.".id=$id AND langue='$cfgLang'";
	else
		$sql_query="SELECT ".$cfgtbl_chapitre.".id, ".$cfgtbl_chapitre_content.".titre, ".$cfgtbl_chapitre.".date_creation, ".$cfgtbl_chapitre.".date_modif, ".$cfgtbl_chapitre_content.".mainteneur AS auteur, ".$cfgtbl_chapitre_content.".email, ".$cfgtbl_chapitre_content.".status FROM ".$cfgtbl_chapitre." LEFT JOIN ".$cfgtbl_chapitre_content." ON ".$cfgtbl_chapitre.".id=".$cfgtbl_chapitre_content.".id_chapitre WHERE ".$cfgtbl_chapitre.".id=$id AND langue='$cfgLang'";
	$sql_result = mysql_db_query($cfgBase, $sql_query);
	if($sql_result>0 && mysql_num_rows($sql_result)==1)
	{
		$result = mysql_fetch_array($sql_result);
		mysql_free_result($sql_result);
		return $result;
	}
	else
		return false;
}

function infos_question($id,$traduction_langue="") {
	GLOBAL	$cfgBase,
			$cfgLang,
			$cfgtbl_authentification,
			$cfgtbl_document,
			$cfgtbl_document_content,
			$cfgtbl_chapitre,
			$cfgtbl_chapitre_content,
			$cfgtbl_doc_security,
			$cfgtbl_lien_interne,
			$cfgtbl_question,
			$cfgtbl_question_content,
			$cfgtbl_session;
	GLOBAL $cfgmaster_doc;

	if(!empty($traduction_langue))
		$sql_query="SELECT ".$cfgtbl_question.".id, ".$cfgtbl_question_content.".question, ".$cfgtbl_question_content.".reponse, ".$cfgtbl_question.".date_creation, ".$cfgtbl_question.".date_modif, ".$cfgtbl_question.".auteur, ".$cfgtbl_question.".email, ".$cfgtbl_question_content.".status FROM ".$cfgtbl_question." LEFT JOIN ".$cfgtbl_question_content." ON ".$cfgtbl_question.".id=".$cfgtbl_question_content.".id_question WHERE ".$cfgtbl_question.".id=$id AND langue='$traduction_langue'";
	elseif($cfgmaster_doc['langue']==$cfgLang)
		$sql_query="SELECT ".$cfgtbl_question.".id, ".$cfgtbl_question_content.".question, ".$cfgtbl_question_content.".reponse, ".$cfgtbl_question.".date_creation, ".$cfgtbl_question.".date_modif, ".$cfgtbl_question.".auteur, ".$cfgtbl_question.".email, ".$cfgtbl_question_content.".status FROM ".$cfgtbl_question." LEFT JOIN ".$cfgtbl_question_content." ON ".$cfgtbl_question.".id=".$cfgtbl_question_content.".id_question WHERE ".$cfgtbl_question.".id=$id AND langue='$cfgLang'";
	else
		$sql_query="SELECT ".$cfgtbl_question.".id, ".$cfgtbl_question_content.".question, ".$cfgtbl_question_content.".reponse, ".$cfgtbl_question.".date_creation, ".$cfgtbl_question.".date_modif, ".$cfgtbl_question_content.".mainteneur AS auteur, ".$cfgtbl_question_content.".email, ".$cfgtbl_question_content.".status FROM ".$cfgtbl_question." LEFT JOIN ".$cfgtbl_question_content." ON ".$cfgtbl_question.".id=".$cfgtbl_question_content.".id_question WHERE ".$cfgtbl_question.".id=$id AND langue='$cfgLang'";

	$sql_result = mysql_db_query($cfgBase, $sql_query);
	if($sql_result>0 && mysql_num_rows($sql_result)==1)
	{
		$result = mysql_fetch_array($sql_result);
		mysql_free_result($sql_result);
		return $result;
	}
	else
		return false;
}


/* Fonction			:	question_parser()
 * Description			:	renvoi le text d'entr avec les liens http intrne  la FAQ.
 * Entrs			:	text contenant des liens email ou http, nom de la fenetre en target
 * Sorties			:	text avec les liens incorpor automatiquement
 */
function question_parser($question, $target="", $creation_type=0)
{
	Global $document_id_select,	$url_add_on;

	$tmp_url=$question;
    $tmp_url=clean_url($tmp_url);

    if($creation_type==0)
         $target="phpfaqtorylink";

    // resolution des urls en mode etendu.
    if(eregi("&lt;LINK&gt;",$tmp_url) && eregi("&lt;/LINK&gt;",$tmp_url))
    {
        preg_match_all("|&lt;LINK&gt;(.*)&lt;/LINK&gt;|Ui", $tmp_url, $url_array);

        for($i=0;$i<count($url_array[0]);$i++)
        {
            $link=str_replace("&lt;LINK&gt;","",$url_array[0][$i]);
            $link=str_replace("&lt;/LINK&gt;","",$link);
            $tmp_link=explode("|",$link);

            if(preg_match("/^C([0-9]+)/",$tmp_link[1]))
            {
                $tmp_chapitre = 0;
                $tmp_question = 0;
                $tmp_CQ = $tmp_link[1];
                $q_pos = 0;
                $q_pos = strpos($tmp_CQ,"Q");

                if(!($q_pos>0))
                    $q_pos = strpos($tmp_CQ,"q");

                if($q_pos>0)
                {
                    $tmp_chapitre = substr($tmp_CQ,1,($q_pos-1));
                    $tmp_question = substr($tmp_CQ,($q_pos+1));
                }
                else
                    $tmp_chapitre = substr($tmp_CQ,1);

                if($creation_type==0)
                {
                    if($tmp_chapitre>0)
                        $tmp_chapitre = get_chapitre_from_index($document_id_select,$tmp_chapitre);
                    if($tmp_question>0)
                        $tmp_question = get_question_from_index($tmp_chapitre,$tmp_question);

                    $tmp_replace = "index.php3?$url_add_on&level=";

                    if($tmp_question>0)
                        $tmp_replace .= "4&question_id_select=".$tmp_question;
                    else
                        $tmp_replace .= "3";

                    if($tmp_chapitre>0)
                        $tmp_replace .= "&chapitre_id_select=".$tmp_chapitre;

                    $tmp_replace .= "&document_id_select=$document_id_select";
                }
                elseif($creation_type==1)
                {
                    $tmp_replace = "#";

                    if($tmp_question>0 && $tmp_chapitre>0)
                        $tmp_replace .= "ss".$tmp_chapitre.".".$tmp_question;
                    elseif($tmp_chapitre>0)
                        $tmp_replace .= $tmp_chapitre;
                }
                elseif($creation_type==2)
                {
                    if($tmp_chapitre>0)
                    {
                        $tmp_replace = "chapitre".$tmp_chapitre.".html";

                        if($tmp_question>0)
                            $tmp_replace .= "#ss".$tmp_chapitre.".".$tmp_question;
                        else
                            $tmp_replace .= "#ss".$tmp_chapitre;
                    }
                    else
                        $tmp_replace = "index.html";
                }

                 $tmp_link[1] = $tmp_replace;
            }

            if($tmp_link[0]=="") $tmp_link[0]=$tmp_link[1];

            $tmp_url = str_replace($url_array[0][$i], "<a href=\"".$tmp_link[1]."\">"."<b>".$tmp_link[0]."</b></a>", $tmp_url);
        }

        // modification des tags html < qui aurais t sur cods
        $tmp_url = str_replace("&amp;lt;","&lt;",$tmp_url);

        // interpretation des emails
        $tmp_url = email_chaine ($tmp_url);

    }

    // resolution des url en mode classique
    else
    {
        // interpretation des urls
        $tmp_url = url_chaine ($tmp_url,$target);
        // interpretation des emails
        $tmp_url = email_chaine ($tmp_url);
    }

    return nl2br($tmp_url);
}

/* Fonction			:	clean_url()
 * Description		:	remise en forme des urls simples.
 * Entrs			:	text contenant des liens email ou http, nom de la fenetre en target
 * Sorties			:	text avec les liens incorpor automatiquement
 */

function clean_url ($chaine, $target="") {
	$chaine= eregi_replace("(http|https|ftp|gopher|news)://([[:alnum:]/\n+-=%&:_.~?]+[#[:alnum:]+]*)",
    "<LINK>\\1://\\2</LINK>", $chaine);

    $chaine=str_replace("</LINK</LINK>>","</LINK>",$chaine);
    $chaine=str_replace("|<LINK>","|",$chaine);

	return htmlentities($chaine);
}

/* Fonction			:	url_chaine()
 * Description		:	renvoi le text d'entr avec les liens http et email ajout.
 * Entrs			:	text contenant des liens email ou http, nom de la fenetre en target
 * Sorties			:	text avec les liens incorpor automatiquement
 */

function url_chaine ($chaine, $target="") {

    if(!empty($target))
        $target = "target=\"$target\"";

    $chaine = eregi_replace("([[:alnum:]]+)://([^[:space:]]*)([[:alnum:]#?/&=])",
	"<a href=\"\\1://\\2\\3\"$target_tag>\\1://\\2\\3</a>",$chaine);


	return $chaine;
}

/* Fonction			:	email_chaine()
 * Description		:	renvoi le text d'entr avec les liens email ajout.
 * Entrs			:	text contenant des liens email
 * Sorties			:	text avec les liens incorpor automatiquement
 */
function email_chaine ($chaine) {
    $chaine=eregi_replace("([^@\" ]+@([a-zA-Z0-9\-]+\.)+[a-zA-Z0-9\-]{2,4})","<a href=\"mailto:\\1\">\\1</a>", $chaine);

    return $chaine;
}
?>
