<?php
//
// $RCSfile: multiple.php3,v $
// $Author: olivier $
// $Revision: 1.3 $
// $Date: 2001/04/19 17:28:20 $
//
// Auteurs:
// Armel Fauveau (armel.fauveau@globalis-ms.com)
// Olivier Portier (olivier.portier@globalis-ms.com)
//
?>
<?php
if($section==0)
	header("Content-disposition: filename=index.faq");
else
{
    $chapitre_indice = $section;
    header("Content-disposition: filename=chapitre".$chapitre_indice.".faq");
}
header("Content-type: application/octetstream");
header("Pragma: no-cache");
header("Expires: 0");

require("config.inc.php3");
require("open.inc.php3");
require("lib.inc.php3");

// Authentification de l'utilisateur
require("auth.inc.php3");

if($cfgUserInfo['create']==1)
{
?>
<html>
<head>
<?php
    if(($infos_document = infos_document($document_id_select)))
    {
?>
<title><?php print htmlentities($infos_document['titre']) ?></title>
</head>
<body>
<?php
        if($section==0)
        {
            // Entte
?>
<h1><?php print htmlentities($infos_document['titre']) ?></h1>
<h2><?php print htmlentities($infos_document['auteur']) ?>, <a href="mailto:<?php print htmlentities($infos_document['email']) ?>"><?php print htmlentities($infos_document['email']) ?></a></h2>
<?php print $strVersion." ".htmlentities($infos_document["version"]) ?> / <?php print $infos_document["date_modif"] ?>
<p><hr><em><?php print nl2br(htmlentities($infos_document["abstract"])) ?></em><hr></p>
<?php
            // Sommaire
            if(($chapitre_array = get_chapitre($document_id_select)))
            {
                for($j=0;$j<count($chapitre_array);$j++)
                {
                    print "<h2><a name=index".($j+1).">".($j+1).". <a href=".strtolower($strChapitre).($j+1).".html#".($j+1).">".htmlentities($chapitre_array[$j]['titre'])."</a></h2>\n";
                    print "<ul>\n";
                
                    if(($question_array = get_question($chapitre_array[$j]['id'])))
                    {
                        for($k=0;$k<count($question_array);$k++)	
                            print "<li><a href=".strtolower($strChapitre).($j+1).".html#ss".($j+1).".".($k+1).">".($k+1)." ".htmlentities($question_array[$k]['titre'])."</a></li>\n";
                    }
                    print "</ul>\n";
                }
            }
?>
</body>
</html>
<?php
        }
        else
        {
            // Details
            if(($chapitre_array = get_chapitre($document_id_select,1,$chapitre_indice)))
            {
                $j=0;
                $chapitre_name=$chapitre_indice;
                $chapitre_index="index.html#index".$chapitre_indice;	
                print "<h1><a name=$chapitre_name></a>$chapitre_indice. ".htmlentities($chapitre_array[$j]['titre'])."</h1>\n";
                print "<small>";
                if($chap_auteur==1 && !empty($chapitre_array[$j]['auteur']))
                    print htmlentities($chapitre_array[$j]['auteur']).", <a href=mailto:".$chapitre_array[$j]['email'].">".$chapitre_array[$j]['email']."</a><br>";
                if($chap_date==1)
                    print $chapitre_array[$j]['date_modif']."<br>";
                print "</small>";	
                print "<a href=$chapitre_index>$strContenuSection</a>\n";
            
                if(($question_array = get_question($chapitre_array[$j]['id'],1)))
                {
                    for($k=0;$k<count($question_array);$k++)	
                    {	
                        $question_indice=$chapitre_indice.".".($k+1);
                        $question_name="ss".$chapitre_indice.".".($k+1);
                        print "<h2><a name=$question_name>$question_indice</a> ".htmlentities($question_array[$k]['titre'])."</h2>\n";
                        print "<small>";
                        if($ques_auteur==1 && !empty($question_array[$k]['auteur']))	
                            print htmlentities($question_array[$k]['auteur']).", <a href=mailto:".$question_array[$k]['email'].">".$question_array[$k]['email']."</a> - ";
                        if($ques_date==1)	
                            print $question_array[$k]['date_modif'];
                        print "</small>";
    //					print "<p>".nl2br(url_chaine(htmlentities(str_replace("\t","&nbsp;&nbsp;&nbsp;&nbsp;",$question_array[$k]['reponse'])), "_new"))."</p>\n";
                        print "<p>".str_replace("\t","&nbsp;&nbsp;&nbsp;&nbsp;",question_parser($question_array[$k]['reponse'], "_new", 2))."</p>\n";
                    }
                }
                print "<hr>\n";	

            if($chapitre_indice==1)
                print "$strChapitre <a href=\"chapitre".($chapitre_indice+1).".html\">".htmlentities($strSuivant)."</a>";
            elseif($chapitre_indice==$max_indexation)
                print "$strChapitre <a href=\"chapitre".($chapitre_indice-1).".html\">".htmlentities($strPrecedent)."</a>";
            else
                print "$strChapitre <a href=\"chapitre".($chapitre_indice+1).".html\">".htmlentities($strSuivant)."</a>, $strChapitre <a href=\"chapitre".($chapitre_indice-1).".html\">".htmlentities($strPrecedent)."</a>";
?>
<hr>
<p>
<?php
?>
<br>
<? print htmlentities($strTablematiere) ?> <a href="index.html#index<? print $chapitre_indice; ?>"><? print htmlentities($strDeCeChapitre) ?></a>, 
<a href="index.html"><? print htmlentities($strTablematiere) ?></a> <? print htmlentities($strGenerale) ?>.
<br> 
<a href="index.html"><? print htmlentities($strDebut) ?></a> <? print htmlentities($strDuDocument) ?>, 
<a href="#<? print $chapitre_indice; ?>"><? print htmlentities($strDebut." ".$strDeCeChapitre) ?></a>
</p> 
</body>
</html>
<?php
            }
        }
    }
}
require("close.inc.php3");
?>